#include <bits/stdc++.h>

using namespace std;

int main()
{
    string t, s;
    cin >> t >> s;

    int br = 0;

    for(int i = 0; i < t.length(); i++)
        if(t[i] == s[0])
            br++;

    if(br < s.length())
        cout << "0" << endl;

    else {
        cout << br - s.length() + 1 << endl;
        int br_prom = br - s.length() + 1;

        for(int i = 0; i < t.length(); i++) {
            if(t[i] == s[0] && br_prom > 0) {
                t[i] = '*';
                br_prom--; } }

        for(int i = 0; i< t.length(); i++)
            cout << t[i]; }

    return 0;
}